petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCFieldSplitGetDiagUseAmat

get the flag indicating whether to extract diagonal blocks from Amat (rather than Pmat)

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitGetDiagUseAmat(PC pc,PetscBool *flg)

Logically Collective on PC

### Input Parameters

pc -the preconditioner object

### Output Parameters

flg -boolean flag indicating whether or not to use Amat to extract the diagonal blocks from

### See Also

PCFieldSplitSetDiagUseAmat(), PCFieldSplitGetOffDiagUseAmat(), PCFIELDSPLIT

### Level

intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages